Subject: bug#33780: network-stream.el: network-stream-certificate always returns nil

From: Eli Zaretskii <[email-masked]>
Date: Mon, 14 Jan 2019 18:00:41 +0200

> From: Robert Pluim <[email-masked]>
> Cc: [email-masked],  [email-masked],  [email-masked]
> Date: Mon, 14 Jan 2019 14:27:15 +0100
> 
> Fixed. I was about to push, then got paranoid, so I wrote a few tests
> for 'open-network-stream', which gave me a few suprises. I had to add
> the following in network-stream-tests.el:
> 
> +(require 'network-stream)
> +; The require above is needed for 'open-network-stream', but it pulls
> +; in nsm, which then makes the :nowait tests fail unless we disable
> +; the nsm.
> +(setq network-security-level 'low)
> 
> otherwise both the old and my new ':nowait t' tests failed. Is that
> expected?

Not sure.  Did you understand why it failed?  IOW, what does nsm have
to do with the failures?